
# This file contains the prompts for the language instructions and feedback.

b_instruction = (
    "Find the best action as fast as possible. Your action is an integer between {low} and {high}.",
    "Quickly identify the optimal action. It should be an integer that falls between {low} and {high}.",
    "Determine the most suitable action quickly. The action should be an integer within the range of {low} to {high}.",
    "As quickly as you can, figure out the best action. The action should be an integer from {low} to {high}.",
    "Your task is to find the best action in the shortest time possible. Remember, your action should be an integer between {low} and {high}.",
    "Locate the optimal action as rapidly as possible. The action must be an integer that lies between {low} and {high}.",
    "Your goal is to find the best action as quickly as you can. The action should be an integer in the range of {low} to {high}.",
    "In the quickest time possible, determine the best action. This action should be an integer between {low} and {high}.",
    "Find the most effective action in the shortest time. The action should be an integer from {low} to {high}.",
    "Your task is to quickly identify the best action. The action should be an integer that falls within the range of {low} to {high}.",
    "As quickly as possible, locate the best action. This action should be an integer between {low} and {high}.",
    "Your goal is to fast determine the best action. The action must be an integer from {low} to {high}.",
    "In the shortest time possible, find the optimal action. The action should be an integer that lies between {low} and {high}.",
    "Quickly figure out the best action. The action should be an integer within the range of {low} to {high}.",
    "As rapidly as possible, identify the best action. This action should be an integer between {low} and {high}.",
    "Your task is to rapidly locate the best action. The action must be an integer from {low} to {high}.",
    "Your goal is to quickly figure out the best action. The action should be an integer that falls within the range of {low} to {high}.",
    "In the quickest time possible, identify the optimal action. This action should be an integer between {low} and {high}.",
    "fast determine the best action. The action should be an integer from {low} to {high}.",
    "As rapidly as you can, find the best action. The action must be an integer that lies between {low} and {high}.",
    "Quickly locate the most effective action. The action should be an integer within the range of {low} to {high}.",
)

p_instruction = (
    "Hint: Action {bad_action} is not the right one, as it gets an expected reward of {reward}.",
    "Tip: The action {bad_action} is incorrect because it results in an expected reward of {reward}.",
    "Advice: The action {bad_action} is not suitable as it leads to an expected reward of {reward}.",
    "Suggestion: The action {bad_action} is not appropriate because it yields an expected reward of {reward}.",
    "Note: The action {bad_action} is not correct as it produces an expected reward of {reward}.",
    "Hint: The action {bad_action} is not the right choice because it brings an expected reward of {reward}.",
    "Remember: The action {bad_action} is not the best option as it results in an expected reward of {reward}.",
    "Attention: The action {bad_action} is not the right decision as it provides an expected reward of {reward}.",
    "Tip: The action {bad_action} is not the right step as it leads to an expected reward of {reward}.",
    "Hint: The action {bad_action} is not the correct choice because it yields an expected reward of {reward}.",
    "Tip: The action {bad_action} is not the right selection as it produces an expected reward of {reward}.",
    "Insight: The action {bad_action} is not the best decision because it brings an expected reward of {reward}.",
    "Insight: The action {bad_action} is not the right option as it generates an expected reward of {reward}.",
    "Hint: The action {bad_action} is not the correct decision as it provides an expected reward of {reward}.",
    "Information: The action {bad_action} is not the best move because it results in an expected reward of {reward}.",
    "Tip-off: The action {bad_action} is not the right choice as it leads to an expected reward of {reward}.",
    "Clue: The action {bad_action} is not the correct option because it yields an expected reward of {reward}.",
    "Clue: The action {bad_action} is not the best selection as it produces an expected reward of {reward}.",
)

c_instruction = (
    "Hint: The optimal action is {best_arm}",
    "Tip: The best course of action is {best_arm}",
    "Suggestion: The ideal move is {best_arm}",
    "Advice: The most effective action is {best_arm}",
    "Remember: The best action is {best_arm}",
    "Just so you know: The preferred action is {best_arm}",
    "Keep in mind: The most suitable action is {best_arm}",
    "Tip: The most excellent action is {best_arm}",
    "Insight: The most favorable action is {best_arm}",
    "Clue: The most superior action is {best_arm}",
    "Insight: The most excellent action is {best_arm}",
)

r_feedback = (
    "You received a reward of {reward}.",
    "You've been given a reward of {reward}.",
    "A reward of {reward} has been given to you.",
    "You've earned a reward of {reward}.",
    "You've been rewarded with {reward}.",
    "You've been granted a reward of {reward}.",
    "You've obtained a reward of {reward}.",
    "You've been presented with a reward of {reward}.",
    "You've been awarded a reward of {reward}.",
    "You've been provided with a reward of {reward}.",
    "You've been given a prize of {reward}.",
    "You've been rewarded a prize of {reward}.",
    "You've been awarded a prize of {reward}.",
    "You've been granted a prize of {reward}.",
)

hp_feedback = (
    "This arm is the best arm, as it has the highest expected reward.",
    "This arm is superior because it has the highest expected reward.",
    "The highest expected reward is associated with this arm.",
    "The arm with the highest expected reward is this one.",
    "This is the best arm because of its highest expected reward.",
    "The best arm is this one, as it comes with the highest expected reward.",
    "This arm is the top choice because it has the highest expected reward.",
    "This arm is the most rewarding, hence it's the best.",
    "This arm is the best, given its highest expected reward.",
    "This arm is the best, thanks to its highest expected reward.",
    "This arm is the best, as it offers the highest expected reward.",
    "This arm is the best, as it yields the highest expected reward.",
    "This arm is the best, as it provides the highest expected reward.",
    "This arm is the best, as it possesses the highest expected reward.",
    "This arm is the best, as it holds the highest expected reward.",
    "This arm is the best, as it carries the highest expected reward.",
    "This arm is the best, as it bears the highest expected reward.",
)

hn_feedback = (
    "This is not the best arm, as it does not have the highest expected reward.",
    "This arm isn't the best because it doesn't offer the highest expected reward.",
    "This isn't the top arm, as it doesn't come with the highest expected reward.",
    "This arm is not the most optimal as it doesn't provide the highest expected reward.",
    "This arm isn't superior, as it doesn't yield the highest expected reward.",
    "This arm is not the best choice, as it doesn't have the highest expected reward.",
    "This arm is not the most favorable, as it doesn't carry the highest expected reward.",
    "This arm isn't the most preferable, as it doesn't yield the highest expected reward.",
    "This arm is not the most superior, as it doesn't deliver the highest expected reward.",
    "This arm isn't the most ideal, as it doesn't possess the highest expected reward.",
)

fp_feedback = (
    "You will receive an expected reward of {reward} if you choose action {best_arm}.",
    "If you opt for action {best_arm}, an expected reward of {reward} will be given to you.",
    "Choosing action {best_arm} will result in an expected reward of {reward}.",
    "An expected reward of {reward} will be yours if you decide on action {best_arm}.",
    "You'll get an expected reward of {reward} if you go with action {best_arm}.",
    "You can expect a reward of {reward} if you select action {best_arm}.",
    "A reward of {reward} is expected if you take action {best_arm}.",
    "If you pick action {best_arm}, you'll receive an expected reward of {reward}.",
    "You're set to receive a reward of {reward} if you choose action {best_arm}.",
    "By choosing action {best_arm}, you stand to receive an expected reward of {reward}.",
    "You'll be rewarded with {reward} if you decide to take action {best_arm}.",
    "You're in for an expected reward of {reward} if you select action {best_arm}.",
    "Choosing action {best_arm} could earn you an expected reward of {reward}.",
    "An expected reward of {reward} is yours for the taking if you choose action {best_arm}.",
    "You stand to gain a reward of {reward} if you opt for action {best_arm}.",
    "If you decide on action {best_arm}, you'll be rewarded with an expected {reward}.",
)

fn_feedback = (
    "Hint: Action {bad_action} is not the right one, as it gets an expected reward of {reward}."
    "Tip: The action {bad_action} is incorrect because it results in an expected reward of {reward}.",
    "Advice: The action {bad_action} is not suitable as it leads to an expected reward of {reward}.",
    "Suggestion: The action {bad_action} is not appropriate because it yields an expected reward of {reward}.",
    "Note: The action {bad_action} is not correct as it produces an expected reward of {reward}.",
    "Heads up: The action {bad_action} is not the right choice because it brings an expected reward of {reward}.",
    "Remember: The action {bad_action} is not the best option as it results in an expected reward of {reward}.",
    "Be aware: The action {bad_action} is not the right move as it leads to an expected reward of {reward}.",
    "Caution: The action {bad_action} is not the correct one, as it generates an expected reward of {reward}.",
    "Attention: The action {bad_action} is not the right decision as it provides an expected reward of {reward}.",
    "Observation: The action {bad_action} is not the best choice as it results in an expected reward of {reward}.",
    "Insight: The action {bad_action} is not the right step as it leads to an expected reward of {reward}.",
    "Alert: The action {bad_action} is not the right selection as it produces an expected reward of {reward}.",
    "Warning: The action {bad_action} is not the best decision as it brings an expected reward of {reward}.",
    "Reminder: The action {bad_action} is not the correct decision as it leads to an expected reward of {reward}.",
    "Notice: The action {bad_action} is not the right choice because it generates an expected reward of {reward}.",
    "Clue: The action {bad_action} is not the right decision as it results in an expected reward of {reward}.",
)